MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027573Open CASCADE[OCCT] OCCT:Visualizationpublic2016-06-06 17:292016-12-09 16:38
Reporteroan 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027573: AIS_ColorScale::FindColor does not take into account custom colors
DescriptionAIS_ColorScale::FindColor(theValue, theColor) calls static method FindColor, so even if user set custom colors for intervals, FindColor returns value corresponded to "auto" color.
Steps To Reproducetest bugs vis bug27573
TagsNo tags attached.
Test case numberbugs vis bug27573
Attached Files

- Relationships

-  Notes
(0056381)
git (administrator)
2016-08-02 14:47

Branch CR27573 has been created by aba.

SHA-1: 6b8253de3a712c917d8e7c12848a6bc41ea56584


Detailed log of new commits:

Author: aba
Date: Tue Aug 2 14:48:45 2016 +0300

    0027573: AIS_ColorScale::FindColor does not take into account custom colors
    
    Modified AIS_ColorScale::FindColor (Standard_Real, Quantity_Color&) to take into account custom colors
(0056382)
aba (developer)
2016-08-02 14:50

Dear kgv,

could you please review the branch CR27573?
(0056397)
kgv (developer)
2016-08-02 17:45

Please test the patch.
(0056423)
git (administrator)
2016-08-03 12:07

Branch CR27573 has been updated by aba.

SHA-1: 4eb87f66dba19885098d324711e0f4e0324bb402


Detailed log of new commits:

Author: aba
Date: Wed Aug 3 11:47:15 2016 +0300

    Remarks:
    
    1) Changed formula for interval index computation
    2) Returned False if interval index is out of bounds

(0056424)
aba (developer)
2016-08-03 12:08

Dear kgv,

could you please review corrected patch in CR27573?
(0056431)
git (administrator)
2016-08-03 12:59

Branch CR27573 has been updated forcibly by aba.

SHA-1: 8a3ef0543ca00219784c9ff271b50e8fc6e0be14
(0056432)
kgv (developer)
2016-08-03 13:01

Please test the patch.
(0056454)
apv (tester)
2016-08-04 10:29

Dear BugMaster,

Branch CR27573 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 8a3ef0543ca00219784c9ff271b50e8fc6e0be14

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1145

Regressions/Differences:
Not detected

Testing cases:
bugs vis bug27573 - OK
http://occt-tests/CR27573-master-OCCT/Debian70-64/bugs/vis/bug27573.html [^]
http://occt-tests/CR27573-master-OCCT/Windows-64-VC10/bugs/vis/bug27573.html [^]

Testing on Linux:
Total MEMORY difference: 90346912 / 90081149 [+0.30%]
Total CPU difference: 19298.830000000067 / 19470.040000000092 [-0.88%]

Testing on Windows:
Total MEMORY difference: 57073874 / 57093912 [-0.04%]
Total CPU difference: 18410.957218198866 / 18078.831089198848 [+1.84%]
(0057167)
git (administrator)
2016-08-26 16:24

Branch CR27573 has been deleted by inv.

SHA-1: 8a3ef0543ca00219784c9ff271b50e8fc6e0be14

- Related Changesets
occt: master d5514578
Timestamp: 2016-08-02 11:48:45
Author: aba
Committer: bugmaster
Details ] Diff ]
0027573: AIS_ColorScale::FindColor does not take into account custom colors

Modified AIS_ColorScale::FindColor (Standard_Real, Quantity_Color&) to take into account custom colors
mod - src/AIS/AIS_ColorScale.cxx Diff ] File ]
mod - src/AIS/AIS_ColorScale.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
add - tests/bugs/vis/bug27573 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-06-06 17:29 oan New Issue
2016-06-06 17:29 oan Assigned To => kgv
2016-08-01 13:03 aba Assigned To kgv => aba
2016-08-01 13:03 aba Status new => assigned
2016-08-02 14:47 git Note Added: 0056381
2016-08-02 14:48 aba Steps to Reproduce Updated View Revisions
2016-08-02 14:50 aba Note Added: 0056382
2016-08-02 14:50 aba Assigned To aba => kgv
2016-08-02 14:50 aba Status assigned => resolved
2016-08-02 17:45 kgv Note Added: 0056397
2016-08-02 17:45 kgv Assigned To kgv => bugmaster
2016-08-02 17:45 kgv Severity minor => feature
2016-08-02 17:45 kgv Status resolved => reviewed
2016-08-02 17:59 kgv Assigned To bugmaster => aba
2016-08-02 17:59 kgv Status reviewed => assigned
2016-08-03 12:07 git Note Added: 0056423
2016-08-03 12:08 aba Note Added: 0056424
2016-08-03 12:08 aba Assigned To aba => kgv
2016-08-03 12:08 aba Status assigned => resolved
2016-08-03 12:59 git Note Added: 0056431
2016-08-03 13:01 kgv Note Added: 0056432
2016-08-03 13:01 kgv Assigned To kgv => bugmaster
2016-08-03 13:01 kgv Status resolved => reviewed
2016-08-03 16:14 apv Assigned To bugmaster => apv
2016-08-04 09:49 apv Test case number => bugs vis bug27573
2016-08-04 10:29 apv Note Added: 0056454
2016-08-04 10:29 apv Assigned To apv => bugmaster
2016-08-04 10:29 apv Status reviewed => tested
2016-08-05 13:30 bugmaster Changeset attached => occt master d5514578
2016-08-05 13:30 bugmaster Status tested => verified
2016-08-05 13:30 bugmaster Resolution open => fixed
2016-08-26 16:24 git Note Added: 0057167
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker